/*
 * @Author: XianKaiQun
 * @Date: 2020-04-29 08:52:14
 * @LastEditors  : WuWei
 * @LastEditTime : 2022-04-27 15:32:17
 * @Descripttion: 
 */
/// 任务动态
class TaskStateModel {
  String? title;
  String? type;
  String? content;
  String? createdAt;
  String? id;
  bool? canDelete;


  TaskStateModel({
    this.title,
    this.type,
    this.content,
    this.createdAt,
    this.id,
    this.canDelete,
  });

  TaskStateModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    title = map['title'];
    type = map['type'];
    content = map['content'];
    createdAt = map['createdAt'];
    id = map['id'];
    canDelete = map['canDelete'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['title'] = this.title;
    json['type'] = this.type;
    json['content'] = this.content;
    json['createdAt'] = this.createdAt;
    json['id'] = this.id;
    json['canDelete'] = this.canDelete;

    return json;
  }
}
